using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATXmlHierarchy")]
[Index("HierarchyName", Name = "UQ_ATXmlHierarchy_HierarchyName", IsUnique = true)]
public partial class AtxmlHierarchy
{
    [Key]
    public int Id { get; set; }

    [StringLength(255)]
    public string HierarchyName { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [InverseProperty("Hierarchy")]
    public virtual ICollection<Attemplate> Attemplates { get; set; } = new List<Attemplate>();

    [InverseProperty("Hierarch")]
    public virtual ICollection<AtxmlHierarchyDefinition> AtxmlHierarchyDefinitions { get; set; } = new List<AtxmlHierarchyDefinition>();
}
